| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | List of all members
Gaudi::Details::Property::DefaultStringConverter< TYPE, std::enable_if_t< std::is_default_constructible_v< TYPE > > > Struct Template Reference

`#include <GaudiKernel/Property.h>`

Inheritance diagram for Gaudi::Details::Property::DefaultStringConverter< TYPE, std::enable_if_t< std::is_default_constructible_v< TYPE > > >:
[legend]
Collaboration diagram for Gaudi::Details::Property::DefaultStringConverter< TYPE, std::enable_if_t< std::is_default_constructible_v< TYPE > > >:
[legend]

## Public Member Functions
TYPE | fromString (const TYPE &, const std::string &s) final override
Public Member Functions inherited from Gaudi::Details::Property::DefaultStringConverterImpl< TYPE >
virtual | ~DefaultStringConverterImpl ()=default
std::string | toString (const TYPE &v)
template<>
std::string | toString (const std::string &v)

## Additional Inherited Members
Protected Member Functions inherited from Gaudi::Details::Property::DefaultStringConverterImpl< TYPE >
void | fromStringImpl (TYPE &buffer, const std::string &s)

## Detailed Description

### template<class TYPE>
struct Gaudi::Details::Property::DefaultStringConverter< TYPE, std::enable_if_t< std::is_default_constructible_v< TYPE > > >

Definition at line 210 of file Property.h.

## Member Function Documentation

## ◆ fromString()

template<class TYPE >

TYPE Gaudi::Details::Property::DefaultStringConverter< TYPE, std::enable_if_t< std::is_default_constructible_v< TYPE > > >::fromString | ( | const TYPE & | ,
|  | const std::string & | s
| ) |  |
| inline final override virtual

Implements Gaudi::Details::Property::DefaultStringConverterImpl< TYPE >.

Definition at line 212 of file Property.h.

212 {
213 TYPE buffer{};
214 this->fromStringImpl( buffer, s );
215 return buffer;
216 }
Gaudi::Details::Property::DefaultStringConverterImpl::fromStringImpl
void fromStringImpl(TYPE &buffer, const std::string &s)
Definition: Property.h:180
gaudirun.s
string s
Definition: gaudirun.py:316

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/Property.h